This page is for API, version 2026-01-01 (Stable) (default).
For other versions, use one of these documentation indexes:
- 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
Added
- ATS → Retrieve a list of ATS employment types: New endpoint available that allows users to retrieve a list of employment types available in ATS for syncing and validation workflows.
- ATS → Retrieve a list of ATS departments: New endpoint available that allows users to retrieve a list of all departments in the Applicant Tracking System
- ATS → Retrieve a list of ATS locations: New endpoint available that allows users to retrieve a list of ATS locations for jobs.
- ATS -> Create ATS Job: Endpoint is now available, this endpoint allows the creation of a new job within the ATS system. The user must provide all required fields, and the job will be created with the specified details.
- Terminations → Delete Contract Termination Request: New endpoint to cancel a pending contract termination request for the specified contract.
Changed
- Time Off → List time-off requests for Organization: Added a new query parameter
time_off_ids that allows retrieving a batch of time offs by the provided ids.
- Time Off → List time-off requests: Added a new query parameter
time_off_ids that allows retrieving a batch of time offs by the provided ids.
- ATS → Retrieve paginated list of ATS Candidates: Added the
updated_after query param which can be used to fetch candidates that were updated after a certain date.
- Contracts → List of contracts: Added the
external_id_absent query param which can be used to filter contracts based on whether external ID is present or not.